Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.oai
Interface OAIObject

All Superinterfaces:
  org.xml.sax.ContentHandler, org.apache.avalon.framework.context.Contextualizable, org.xml.sax.ext.LexicalHandler, org.apache.avalon.framework.logger.LogEnabled, org.apache.excalibur.xml.sax.XMLConsumer, org.apache.excalibur.xml.sax.XMLizable, org.apache.cocoon.xml.XMLPipe, org.apache.cocoon.xml.XMLProducer

All Known Subinterfaces:
  DocumentBaseOAIHarvester, DocumentBaseOAIRepository, OAIHarvester, OAIMetadataFormat, OAIRecord, OAIRepository, OAIRequest, OAIResponse

All Known Implementing Classes:
  AbstractDocumentBaseOAIHarvester, AbstractDocumentBaseOAIRepository, AbstractOAIHarvester, AbstractOAIMetadataFormat, AbstractOAIRepository, BasicOAIMetadataFormat, DocumentBaseOAIRecord, LuceneDocumentBaseOAIHarvester, LuceneDocumentBaseOAIRepository, OAIDocument, OAIError, OAIObjectImpl, OAIRecordImpl, OAIRequestImpl, OAIResponseImpl, SDXOAIMetadataFormat, SynchronizedOAIObjectImpl

    public interface OAIObject

extends org.apache.avalon.framework.logger.LogEnabled, org.apache.avalon.framework.context.Contextualizable, org.apache.excalibur.xml.sax.XMLizable, org.apache.cocoon.xml.XMLPipe

Nested Class Summary
`static interface` | `OAIObject.Node`

Field Summary
`static java.lang.String` | `HTTP_HEADER_NAME_FROM`
`static java.lang.String` | `HTTP_HEADER_NAME_USER_AGENT`
`static int` | `NUMBER_RECORDS_PER_RESPONSE`
`static java.lang.String` | `STRING_DATEFORMAT_GRANULARITY_DAY`
`static java.lang.String` | `STRING_DATEFORMAT_GRANULARITY_SECOND`

Method Summary

Methods inherited from interface org.apache.avalon.framework.logger.LogEnabled
`enableLogging`

Methods inherited from interface org.apache.avalon.framework.context.Contextualizable
`contextualize`

Methods inherited from interface org.apache.excalibur.xml.sax.XMLizable
`toSAX`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Methods inherited from interface org.apache.cocoon.xml.XMLProducer
`setConsumer`

Field Detail

### HTTP_HEADER_NAME_USER_AGENT

    static final java.lang.String HTTP_HEADER_NAME_USER_AGENT

See Also:
  Constant Field Values

### HTTP_HEADER_NAME_FROM

    static final java.lang.String HTTP_HEADER_NAME_FROM

See Also:
  Constant Field Values

### NUMBER_RECORDS_PER_RESPONSE

    static final int NUMBER_RECORDS_PER_RESPONSE

See Also:
  Constant Field Values

### STRING_DATEFORMAT_GRANULARITY_SECOND

    static final java.lang.String STRING_DATEFORMAT_GRANULARITY_SECOND

See Also:
  Constant Field Values

### STRING_DATEFORMAT_GRANULARITY_DAY

    static final java.lang.String STRING_DATEFORMAT_GRANULARITY_DAY

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.